Next: Z80 Syntax, Up: Z80-Dependent [Contents][Index]

#### 9.53.1 Options

The Zilog Z80 and Ascii R800 version of `as` have a few machine dependent options.

`-z80`

  Produce code for the Z80 processor. There are additional options to request warnings and error messages for undocumented instructions.

`-ignore-undocumented-instructions`
`-Wnud`

  Silently assemble undocumented Z80-instructions that have been adopted as documented R800-instructions.

`-ignore-unportable-instructions`
`-Wnup`

  Silently assemble all undocumented Z80-instructions.

`-warn-undocumented-instructions`
`-Wud`

  Issue warnings for undocumented Z80-instructions that work on R800, do not assemble other undocumented instructions without warning.

`-warn-unportable-instructions`
`-Wup`

  Issue warnings for other undocumented Z80-instructions, do not treat any undocumented instructions as errors.

`-forbid-undocumented-instructions`
`-Fud`

  Treat all undocumented z80-instructions as errors.

`-forbid-unportable-instructions`
`-Fup`

  Treat undocumented z80-instructions that do not work on R800 as errors.

`-r800`

  Produce code for the R800 processor. The assembler does not support undocumented instructions for the R800. In line with common practice, `as` uses Z80 instruction names for the R800 processor, as far as they exist.